zenilib: zenilib/jni/external/zenilib/zeni_graphics/d3dx9effect.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
d3dx9effect.h File Reference
`#include "d3dx9.h"`

Go to the source code of this file.

## Classes

struct | _D3DXEFFECT_DESC
struct | _D3DXFUNCTION_DESC
struct | _D3DXPARAMETER_DESC
struct | _D3DXPASS_DESC
struct | _D3DXTECHNIQUE_DESC

## Macros

#define | D3DX_PARAMETER_ANNOTATION (1 << 2)
#define | D3DX_PARAMETER_LITERAL (1 << 1)
#define | D3DX_PARAMETER_SHARED (1 << 0)
#define | D3DXCreateEffectCompilerFromFile D3DXCreateEffectCompilerFromFileA
#define | D3DXCreateEffectCompilerFromResource D3DXCreateEffectCompilerFromResourceA
#define | D3DXCreateEffectFromFile D3DXCreateEffectFromFileA
#define | D3DXCreateEffectFromFileEx D3DXCreateEffectFromFileExA
#define | D3DXCreateEffectFromResource D3DXCreateEffectFromResourceA
#define | D3DXCreateEffectFromResourceEx D3DXCreateEffectFromResourceExA
#define | D3DXFX_DONOTSAVESAMPLERSTATE (1 << 2)
#define | D3DXFX_DONOTSAVESHADERSTATE (1 << 1)
#define | D3DXFX_DONOTSAVESTATE (1 << 0)
#define | D3DXFX_LARGEADDRESSAWARE (1 << 17)
#define | D3DXFX_NOT_CLONEABLE (1 << 11)
#define | INTERFACE ID3DXEffectPool
#define | INTERFACE ID3DXBaseEffect
#define | INTERFACE ID3DXEffectStateManager
#define | INTERFACE ID3DXEffect
#define | INTERFACE ID3DXEffectCompiler

## Typedefs

typedef struct _D3DXEFFECT_DESC | D3DXEFFECT_DESC
typedef struct _D3DXFUNCTION_DESC | D3DXFUNCTION_DESC
typedef struct _D3DXPARAMETER_DESC | D3DXPARAMETER_DESC
typedef struct _D3DXPASS_DESC | D3DXPASS_DESC
typedef struct _D3DXTECHNIQUE_DESC | D3DXTECHNIQUE_DESC
typedef interface ID3DXBaseEffect | ID3DXBaseEffect
typedef interface ID3DXEffect | ID3DXEffect
typedef interface ID3DXEffectCompiler | ID3DXEffectCompiler
typedef interface ID3DXEffectPool | ID3DXEffectPool
typedef interface ID3DXEffectStateManager | ID3DXEffectStateManager
typedef interface ID3DXBaseEffect * | LPD3DXBASEEFFECT
typedef interface ID3DXEffect * | LPD3DXEFFECT
typedef interface ID3DXEffectCompiler * | LPD3DXEFFECTCOMPILER
typedef interface ID3DXEffectPool * | LPD3DXEFFECTPOOL
typedef interface ID3DXEffectStateManager * | LPD3DXEFFECTSTATEMANAGER

## Functions

HRESULT WINAPI | D3DXCreateEffect (LPDIRECT3DDEVICE9 pDevice, LPCVOID pSrcData, UINT SrcDataLen, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, DWORD Flags, LPD3DXEFFECTPOOL pPool, LPD3DXEFFECT *ppEffect, LPD3DXBUFFER *ppCompilationErrors)
HRESULT WINAPI | D3DXCreateEffectCompiler (LPCSTR pSrcData, UINT SrcDataLen, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, DWORD Flags, LPD3DXEFFECTCOMPILER *ppCompiler, LPD3DXBUFFER *ppParseErrors)
HRESULT WINAPI | D3DXCreateEffectCompilerFromFileA (LPCSTR pSrcFile, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, DWORD Flags, LPD3DXEFFECTCOMPILER *ppCompiler, LPD3DXBUFFER *ppParseErrors)
HRESULT WINAPI | D3DXCreateEffectCompilerFromFileW (LPCWSTR pSrcFile, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, DWORD Flags, LPD3DXEFFECTCOMPILER *ppCompiler, LPD3DXBUFFER *ppParseErrors)
HRESULT WINAPI | D3DXCreateEffectCompilerFromResourceA (HMODULE hSrcModule, LPCSTR pSrcResource, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, DWORD Flags, LPD3DXEFFECTCOMPILER *ppCompiler, LPD3DXBUFFER *ppParseErrors)
HRESULT WINAPI | D3DXCreateEffectCompilerFromResourceW (HMODULE hSrcModule, LPCWSTR pSrcResource, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, DWORD Flags, LPD3DXEFFECTCOMPILER *ppCompiler, LPD3DXBUFFER *ppParseErrors)
HRESULT WINAPI | D3DXCreateEffectEx (LPDIRECT3DDEVICE9 pDevice, LPCVOID pSrcData, UINT SrcDataLen, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, LPCSTR pSkipConstants, DWORD Flags, LPD3DXEFFECTPOOL pPool, LPD3DXEFFECT *ppEffect, LPD3DXBUFFER *ppCompilationErrors)
HRESULT WINAPI | D3DXCreateEffectFromFileA (LPDIRECT3DDEVICE9 pDevice, LPCSTR pSrcFile, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, DWORD Flags, LPD3DXEFFECTPOOL pPool, LPD3DXEFFECT *ppEffect, LPD3DXBUFFER *ppCompilationErrors)
HRESULT WINAPI | D3DXCreateEffectFromFileExA (LPDIRECT3DDEVICE9 pDevice, LPCSTR pSrcFile, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, LPCSTR pSkipConstants, DWORD Flags, LPD3DXEFFECTPOOL pPool, LPD3DXEFFECT *ppEffect, LPD3DXBUFFER *ppCompilationErrors)
HRESULT WINAPI | D3DXCreateEffectFromFileExW (LPDIRECT3DDEVICE9 pDevice, LPCWSTR pSrcFile, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, LPCSTR pSkipConstants, DWORD Flags, LPD3DXEFFECTPOOL pPool, LPD3DXEFFECT *ppEffect, LPD3DXBUFFER *ppCompilationErrors)
HRESULT WINAPI | D3DXCreateEffectFromFileW (LPDIRECT3DDEVICE9 pDevice, LPCWSTR pSrcFile, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, DWORD Flags, LPD3DXEFFECTPOOL pPool, LPD3DXEFFECT *ppEffect, LPD3DXBUFFER *ppCompilationErrors)
HRESULT WINAPI | D3DXCreateEffectFromResourceA (LPDIRECT3DDEVICE9 pDevice, HMODULE hSrcModule, LPCSTR pSrcResource, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, DWORD Flags, LPD3DXEFFECTPOOL pPool, LPD3DXEFFECT *ppEffect, LPD3DXBUFFER *ppCompilationErrors)
HRESULT WINAPI | D3DXCreateEffectFromResourceExA (LPDIRECT3DDEVICE9 pDevice, HMODULE hSrcModule, LPCSTR pSrcResource, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, LPCSTR pSkipConstants, DWORD Flags, LPD3DXEFFECTPOOL pPool, LPD3DXEFFECT *ppEffect, LPD3DXBUFFER *ppCompilationErrors)
HRESULT WINAPI | D3DXCreateEffectFromResourceExW (LPDIRECT3DDEVICE9 pDevice, HMODULE hSrcModule, LPCWSTR pSrcResource, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, LPCSTR pSkipConstants, DWORD Flags, LPD3DXEFFECTPOOL pPool, LPD3DXEFFECT *ppEffect, LPD3DXBUFFER *ppCompilationErrors)
HRESULT WINAPI | D3DXCreateEffectFromResourceW (LPDIRECT3DDEVICE9 pDevice, HMODULE hSrcModule, LPCWSTR pSrcResource, CONST D3DXMACRO *pDefines, LPD3DXINCLUDE pInclude, DWORD Flags, LPD3DXEFFECTPOOL pPool, LPD3DXEFFECT *ppEffect, LPD3DXBUFFER *ppCompilationErrors)
HRESULT WINAPI | D3DXCreateEffectPool (LPD3DXEFFECTPOOL *ppPool)
HRESULT WINAPI | D3DXDisassembleEffect (LPD3DXEFFECT pEffect, BOOL EnableColorCode, LPD3DXBUFFER *ppDisassembly)
| DECLARE_INTERFACE_ (ID3DXEffectPool, IUnknown)
| DECLARE_INTERFACE_ (ID3DXBaseEffect, IUnknown)
| DECLARE_INTERFACE_ (ID3DXEffectStateManager, IUnknown)
| DECLARE_INTERFACE_ (ID3DXEffect, ID3DXBaseEffect)
| DECLARE_INTERFACE_ (ID3DXEffectCompiler, ID3DXBaseEffect)
| DEFINE_GUID (IID_ID3DXEffectPool, 0x9537ab04, 0x3250, 0x412e, 0x82, 0x13, 0xfc, 0xd2, 0xf8, 0x67, 0x79, 0x33)
| DEFINE_GUID (IID_ID3DXBaseEffect, 0x17c18ac, 0x103f, 0x4417, 0x8c, 0x51, 0x6b, 0xf6, 0xef, 0x1e, 0x56, 0xbe)
| DEFINE_GUID (IID_ID3DXEffectStateManager, 0x79aab587, 0x6dbc, 0x4fa7, 0x82, 0xde, 0x37, 0xfa, 0x17, 0x81, 0xc5, 0xce)
| DEFINE_GUID (IID_ID3DXEffect, 0xf6ceb4b3, 0x4e4c, 0x40dd, 0xb8, 0x83, 0x8d, 0x8d, 0xe5, 0xea, 0xc, 0xd5)
| DEFINE_GUID (IID_ID3DXEffectCompiler, 0x51b8a949, 0x1a31, 0x47e6, 0xbe, 0xa0, 0x4b, 0x30, 0xdb, 0x53, 0xf1, 0xe0)

## Macro Definition Documentation

#define D3DX_PARAMETER_ANNOTATION (1 << 2)

Definition at line 58 of file d3dx9effect.h.

#define D3DX_PARAMETER_LITERAL (1 << 1)

Definition at line 57 of file d3dx9effect.h.

#define D3DX_PARAMETER_SHARED (1 << 0)

Definition at line 56 of file d3dx9effect.h.

#define D3DXCreateEffectCompilerFromFile D3DXCreateEffectCompilerFromFileA

Definition at line 811 of file d3dx9effect.h.

#define D3DXCreateEffectCompilerFromResource D3DXCreateEffectCompilerFromResourceA

Definition at line 838 of file d3dx9effect.h.

#define D3DXCreateEffectFromFile D3DXCreateEffectFromFileA

Definition at line 629 of file d3dx9effect.h.

#define D3DXCreateEffectFromFileEx D3DXCreateEffectFromFileExA

Definition at line 707 of file d3dx9effect.h.

#define D3DXCreateEffectFromResource D3DXCreateEffectFromResourceA

Definition at line 660 of file d3dx9effect.h.

#define D3DXCreateEffectFromResourceEx D3DXCreateEffectFromResourceExA

Definition at line 740 of file d3dx9effect.h.

#define D3DXFX_DONOTSAVESAMPLERSTATE (1 << 2)

Definition at line 38 of file d3dx9effect.h.

#define D3DXFX_DONOTSAVESHADERSTATE (1 << 1)

Definition at line 37 of file d3dx9effect.h.

#define D3DXFX_DONOTSAVESTATE (1 << 0)

Definition at line 36 of file d3dx9effect.h.

#define D3DXFX_LARGEADDRESSAWARE (1 << 17)

Definition at line 41 of file d3dx9effect.h.

#define D3DXFX_NOT_CLONEABLE (1 << 11)

Definition at line 40 of file d3dx9effect.h.

#define INTERFACE ID3DXEffectPool

Definition at line 449 of file d3dx9effect.h.

#define INTERFACE ID3DXBaseEffect

Definition at line 449 of file d3dx9effect.h.

#define INTERFACE ID3DXEffectStateManager

Definition at line 449 of file d3dx9effect.h.

#define INTERFACE ID3DXEffect

Definition at line 449 of file d3dx9effect.h.

#define INTERFACE ID3DXEffectCompiler

Definition at line 449 of file d3dx9effect.h.

## Typedef Documentation

typedef struct _D3DXEFFECT_DESC D3DXEFFECT_DESC

typedef struct _D3DXFUNCTION_DESC D3DXFUNCTION_DESC

typedef struct _D3DXPARAMETER_DESC D3DXPARAMETER_DESC

typedef struct _D3DXPASS_DESC D3DXPASS_DESC

typedef struct _D3DXTECHNIQUE_DESC D3DXTECHNIQUE_DESC

typedef interface ID3DXBaseEffect ID3DXBaseEffect

Definition at line 159 of file d3dx9effect.h.

typedef interface ID3DXEffect ID3DXEffect

Definition at line 301 of file d3dx9effect.h.

typedef interface ID3DXEffectCompiler ID3DXEffectCompiler

Definition at line 433 of file d3dx9effect.h.

typedef interface ID3DXEffectPool ID3DXEffectPool

Definition at line 140 of file d3dx9effect.h.

typedef interface ID3DXEffectStateManager ID3DXEffectStateManager

Definition at line 247 of file d3dx9effect.h.

typedef interface ID3DXBaseEffect* LPD3DXBASEEFFECT

Definition at line 167 of file d3dx9effect.h.

typedef interface ID3DXEffect* LPD3DXEFFECT

Definition at line 309 of file d3dx9effect.h.

typedef interface ID3DXEffectCompiler* LPD3DXEFFECTCOMPILER

Definition at line 441 of file d3dx9effect.h.

typedef interface ID3DXEffectPool* LPD3DXEFFECTPOOL

Definition at line 141 of file d3dx9effect.h.

typedef interface ID3DXEffectStateManager* LPD3DXEFFECTSTATEMANAGER

Definition at line 258 of file d3dx9effect.h.

## Function Documentation

HRESULT WINAPI D3DXCreateEffect | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | LPCVOID | pSrcData,
|  | UINT | SrcDataLen,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | DWORD | Flags,
|  | LPD3DXEFFECTPOOL | pPool,
|  | LPD3DXEFFECT * | ppEffect,
|  | LPD3DXBUFFER * | ppCompilationErrors
| ) |  |

HRESULT WINAPI D3DXCreateEffectCompiler | ( | LPCSTR | pSrcData,
|  | UINT | SrcDataLen,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | DWORD | Flags,
|  | LPD3DXEFFECTCOMPILER * | ppCompiler,
|  | LPD3DXBUFFER * | ppParseErrors
| ) |  |

HRESULT WINAPI D3DXCreateEffectCompilerFromFileA | ( | LPCSTR | pSrcFile,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | DWORD | Flags,
|  | LPD3DXEFFECTCOMPILER * | ppCompiler,
|  | LPD3DXBUFFER * | ppParseErrors
| ) |  |

HRESULT WINAPI D3DXCreateEffectCompilerFromFileW | ( | LPCWSTR | pSrcFile,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | DWORD | Flags,
|  | LPD3DXEFFECTCOMPILER * | ppCompiler,
|  | LPD3DXBUFFER * | ppParseErrors
| ) |  |

HRESULT WINAPI D3DXCreateEffectCompilerFromResourceA | ( | HMODULE | hSrcModule,
|  | LPCSTR | pSrcResource,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | DWORD | Flags,
|  | LPD3DXEFFECTCOMPILER * | ppCompiler,
|  | LPD3DXBUFFER * | ppParseErrors
| ) |  |

HRESULT WINAPI D3DXCreateEffectCompilerFromResourceW | ( | HMODULE | hSrcModule,
|  | LPCWSTR | pSrcResource,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | DWORD | Flags,
|  | LPD3DXEFFECTCOMPILER * | ppCompiler,
|  | LPD3DXBUFFER * | ppParseErrors
| ) |  |

HRESULT WINAPI D3DXCreateEffectEx | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | LPCVOID | pSrcData,
|  | UINT | SrcDataLen,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | LPCSTR | pSkipConstants,
|  | DWORD | Flags,
|  | LPD3DXEFFECTPOOL | pPool,
|  | LPD3DXEFFECT * | ppEffect,
|  | LPD3DXBUFFER * | ppCompilationErrors
| ) |  |

HRESULT WINAPI D3DXCreateEffectFromFileA | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | LPCSTR | pSrcFile,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | DWORD | Flags,
|  | LPD3DXEFFECTPOOL | pPool,
|  | LPD3DXEFFECT * | ppEffect,
|  | LPD3DXBUFFER * | ppCompilationErrors
| ) |  |

HRESULT WINAPI D3DXCreateEffectFromFileExA | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | LPCSTR | pSrcFile,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | LPCSTR | pSkipConstants,
|  | DWORD | Flags,
|  | LPD3DXEFFECTPOOL | pPool,
|  | LPD3DXEFFECT * | ppEffect,
|  | LPD3DXBUFFER * | ppCompilationErrors
| ) |  |

HRESULT WINAPI D3DXCreateEffectFromFileExW | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | LPCWSTR | pSrcFile,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | LPCSTR | pSkipConstants,
|  | DWORD | Flags,
|  | LPD3DXEFFECTPOOL | pPool,
|  | LPD3DXEFFECT * | ppEffect,
|  | LPD3DXBUFFER * | ppCompilationErrors
| ) |  |

HRESULT WINAPI D3DXCreateEffectFromFileW | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | LPCWSTR | pSrcFile,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | DWORD | Flags,
|  | LPD3DXEFFECTPOOL | pPool,
|  | LPD3DXEFFECT * | ppEffect,
|  | LPD3DXBUFFER * | ppCompilationErrors
| ) |  |

HRESULT WINAPI D3DXCreateEffectFromResourceA | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | HMODULE | hSrcModule,
|  | LPCSTR | pSrcResource,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | DWORD | Flags,
|  | LPD3DXEFFECTPOOL | pPool,
|  | LPD3DXEFFECT * | ppEffect,
|  | LPD3DXBUFFER * | ppCompilationErrors
| ) |  |

HRESULT WINAPI D3DXCreateEffectFromResourceExA | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | HMODULE | hSrcModule,
|  | LPCSTR | pSrcResource,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | LPCSTR | pSkipConstants,
|  | DWORD | Flags,
|  | LPD3DXEFFECTPOOL | pPool,
|  | LPD3DXEFFECT * | ppEffect,
|  | LPD3DXBUFFER * | ppCompilationErrors
| ) |  |

HRESULT WINAPI D3DXCreateEffectFromResourceExW | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | HMODULE | hSrcModule,
|  | LPCWSTR | pSrcResource,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | LPCSTR | pSkipConstants,
|  | DWORD | Flags,
|  | LPD3DXEFFECTPOOL | pPool,
|  | LPD3DXEFFECT * | ppEffect,
|  | LPD3DXBUFFER * | ppCompilationErrors
| ) |  |

HRESULT WINAPI D3DXCreateEffectFromResourceW | ( | LPDIRECT3DDEVICE9 | pDevice,
|  | HMODULE | hSrcModule,
|  | LPCWSTR | pSrcResource,
|  | CONST D3DXMACRO * | pDefines,
|  | LPD3DXINCLUDE | pInclude,
|  | DWORD | Flags,
|  | LPD3DXEFFECTPOOL | pPool,
|  | LPD3DXEFFECT * | ppEffect,
|  | LPD3DXBUFFER * | ppCompilationErrors
| ) |  |

HRESULT WINAPI D3DXCreateEffectPool | ( | LPD3DXEFFECTPOOL * | ppPool | ) |

HRESULT WINAPI D3DXDisassembleEffect | ( | LPD3DXEFFECT | pEffect,
|  | BOOL | EnableColorCode,
|  | LPD3DXBUFFER * | ppDisassembly
| ) |  |

DECLARE_INTERFACE_ | ( | ID3DXEffectPool | ,
|  | IUnknown |
| ) |  |

Definition at line 151 of file d3dx9effect.h.

References LPVOID().

DECLARE_INTERFACE_ | ( | ID3DXBaseEffect | ,
|  | IUnknown |
| ) |  |

Definition at line 177 of file d3dx9effect.h.

References BOOL(), INT(), LPVOID(), and UINT().

DECLARE_INTERFACE_ | ( | ID3DXEffectStateManager | ,
|  | IUnknown |
| ) |  |

Definition at line 267 of file d3dx9effect.h.

References BOOL(), DWORD(), INT(), LPVOID(), and UINT().

DECLARE_INTERFACE_ | ( | ID3DXEffect | ,
|  | ID3DXBaseEffect |
| ) |  |

Definition at line 318 of file d3dx9effect.h.

References BOOL(), DWORD(), INT(), LPVOID(), and UINT().

DECLARE_INTERFACE_ | ( | ID3DXEffectCompiler | ,
|  | ID3DXBaseEffect |
| ) |  |

Definition at line 451 of file d3dx9effect.h.

References BOOL(), DWORD(), INT(), LPVOID(), and UINT().

DEFINE_GUID | ( | IID_ID3DXEffectPool | ,
|  | 0x9537ab04 | ,
|  | 0x3250 | ,
|  | 0x412e | ,
|  | 0x82 | ,
|  | 0x13 | ,
|  | 0xfc | ,
|  | 0xd2 | ,
|  | 0xf8 | ,
|  | 0x67 | ,
|  | 0x79 | ,
|  | 0x33 |
| ) |  |

DEFINE_GUID | ( | IID_ID3DXBaseEffect | ,
|  | 0x17c18ac | ,
|  | 0x103f | ,
|  | 0x4417 | ,
|  | 0x8c | ,
|  | 0x51 | ,
|  | 0x6b | ,
|  | 0xf6 | ,
|  | 0xef | ,
|  | 0x1e | ,
|  | 0x56 | ,
|  | 0xbe |
| ) |  |

DEFINE_GUID | ( | IID_ID3DXEffectStateManager | ,
|  | 0x79aab587 | ,
|  | 0x6dbc | ,
|  | 0x4fa7 | ,
|  | 0x82 | ,
|  | 0xde | ,
|  | 0x37 | ,
|  | 0xfa | ,
|  | 0x17 | ,
|  | 0x81 | ,
|  | 0xc5 | ,
|  | 0xce |
| ) |  |

DEFINE_GUID | ( | IID_ID3DXEffect | ,
|  | 0xf6ceb4b3 | ,
|  | 0x4e4c | ,
|  | 0x40dd | ,
|  | 0xb8 | ,
|  | 0x83 | ,
|  | 0x8d | ,
|  | 0x8d | ,
|  | 0xe5 | ,
|  | 0xea | ,
|  | 0xc | ,
|  | 0xd5 |
| ) |  |

DEFINE_GUID | ( | IID_ID3DXEffectCompiler | ,
|  | 0x51b8a949 | ,
|  | 0x1a31 | ,
|  | 0x47e6 | ,
|  | 0xbe | ,
|  | 0xa0 | ,
|  | 0x4b | ,
|  | 0x30 | ,
|  | 0xdb | ,
|  | 0x53 | ,
|  | 0xf1 | ,
|  | 0xe0 |
| ) |  |